;// cubic player 1.7 configuration file

[general]
  link=pmodtype ;// these objects will be loaded at startup. don't change it!
  guspatchpath= ;// the gus patches AND the DEFAULT.CFG are located here.
;  datapath=     ;// path to cp's pictures and animations.

;// this is the default configuration
;// if you want to make different configurations you can copy this section
;// and rename it. select that configuration with commandline switch -c...
;// see the example below
[defaultconfig]
;// names of the sections to be used in this configiuration
  soundsec=sound
  screensec=screen
  fileselsec=fileselector
;// these objects will be preloaded at startup
;// add some loaders for faster access
;// loaders are: loadmod, loadxm,  loads3m, loadptm, load669, loadokt
;//              loadams, loadult, loaddmf, loadmdl, loadmtm
  link=loadmod loadxm loads3m


[sound]
;// these drivers will be loaded at startup. change parameters at the
;// sections for the devices.
;// take those drivers out of the list, you will not need, because it
;// will speed up the loading process and require less memory
;// you can also add new devices by copying the section and renaming it.
;// (8 chars only)
  playerdevices=devpSB devpWSS devpPAS devpNone devpDisk
  samplerdevices=devsGUS devsSB devsWSS devsNone
  wavetabledevices=devwGUS devwAWE devwMix devwMixQ
  rate=44100              ;// -sr44100
  rate32=48000            ;// use this rate for 32 channels (for slow cpus)
  16bit=on                ;// -s8-
  stereo=on               ;// -sm-
  bufsize=1               ;// 0: small, 1:large, 2:full
  midichan=24             ;// number of channels used for midi playback
  cdsamplelinein=off      ;// if you turn this one on, cp will sample line in
                          ;// instead of cd in when playing cdaudio
  bigmodules=devwMix      ;// this wavetable device will be used if a module
                          ;// was tagged "big" with alt-b in the fileselector.
                          ;// (use if wavetable ram is not enough by far)
  wavetostereo=1          ;// conv mono waves to stereo. turn off with sbpro
  amplify=100  ;// -va100
  volume=100   ;// -vv100
  balance=0    ;// -vb0
  panning=100  ;// -vp100
  reverb=0     ;// -vr0
  chorus=0     ;// -vc0
  surround=off ;// -vs-
  filter=6     ;// -vf6   (AOI)
  echo=0       ;// -ve0


[screen]
;// these pics have to be 640*384*208 TGAs, the first or the last 48 colors
;// must not be used.
;// header must read: 00 01 01 00 00 00 01 18 00 00 00 00 80 02 80 01 08 20
;// if your pic is not loaded, convert it to TGA with GWS.
  usepics=cppic000.tga cppic001.tga cppic002.tga
  compomode=off   ;// compomode will remove all texts and display
                  ;// fileselector comment as the name (put compo # there!)
  screentype=0    ;// screenmode
  startupmode=i   ;// mode (instruments)
  analyser=off
  pattern=off
  instrtype=2
  channeltype=2
;//eXtended mode:
;//  screentype=7
;//  startupmode=t
;//  analyser=on
;//  pattern=on
;//  instrtype=3
;//  channeltype=3


[fileselector]
;// files with these extensions will be scanned by the fileselector
;// you might add 001 002 003 004 if you are a fan of imphobia :)
  modextensions=MOD XM S3M AMS MID MTM DMF ULT 669 NST WOW OKT PTM MDL WAV
  screentype=0
  typecolors=on
  editwin=on
  writeinfo=on
  scanmdz=on
  scaninarcs=on
  scanmnodinfo=on
  scanarchives=on
  playonce=on       ;// -fr+
  randomplay=on     ;// -fo-
  loop=on           ;// -fl+
  path=.            ;// path at startup

;//device configuration:
;//[handle]
;//  link=...                                     (internal) link drivers
;//  drivername=...                               (internal) driver name
;//  handle=...                                   handle
;//  subtype=...                                  subtype
;//  port=...                                     primary port (hex)
;//  port2=...                                    secondary port (hex)
;//  irq=...                                      primary irq
;//  irq2=...                                     secondary irq
;//  dma=...                                      primary dma
;//  dma2=...                                     secondary dma
;//  bypass=...                                   bypass detect on/off

[devpSB]
  link=devpsb
  drivername=_plrSoundBlaster
  handle=1
  subtype=4
;// subtype: 1:sb 1.x, 2:sb 2.x, 3:sb pro, 4:sb16

[devpWSS]
  link=devpwss
  drivername=_plrWinSoundSys
  handle=3
;// subtype: 0:wss, 1:gus daughterboard, 2:gusmax

[devpPAS]
  link=devppas
  drivername=_plrProAudioSpectrum
  handle=4

[devpDisk]
  link=devpdisk
  drivername=_plrDiskWriter
  handle=17

[devpNone]
  link=devpnone
  drivername=_plrNone
  handle=16

[devsSB]
  link=devssb
  drivername=_smpSoundBlaster
  handle=1

[devsGUS]
  link=devsgus
  drivername=_smpUltraSound
  handle=2

[devsWSS]
  link=devswss
  drivername=_smpWinSoundSys
  handle=3

[devsNone]
  link=devsnone
  drivername=_smpNone
  handle=16

[devwGUS]
  link=devwgus
  drivername=_mcpUltraSound
  handle=2
  gusSlowUpload=off
  gusSystemTimer=off
;// subtype: 0:gus, 1:double gus 2d, 2:double gus 3d

[devwAWE]
;// SoundBlaster AWE
  link=devwsb
  drivername=_mcpSoundBlaster
  handle=1

[devwMix]
  link=devwmix
  drivername=_mcpMixer
  handle=32
  mixResample=off

[devwMixQ]
  link=devwmixq dwmixqa
  drivername=_mcpQMixer
  handle=33
  mixResample=off


;// archiver configuration

[arcZIP]
  get=pkunzip
  delete=pkzip -d

[arcARJ]
  get=arj e -jyo
  delete=arj d

[arcRAR]
  get=rar e -std
  delete=rar d -std








;;// this is an example configuration for gus
;;// uncomment this and type cp -cgus to use it
;
;[gus]
;  soundsec=soundgus
;  screensec=screen
;  fileselsec=fileselector
;  link=loadmod loadxm loads3m
;
;
;[soundgus]
;  playerdevices=devpNone
;  samplerdevices=devsGUS
;  wavetabledevices=dwmygus
;  midichan=24
;  cdsamplelinein=off
;  bigmodules=
;  amplify=100
;  volume=100
;  balance=0
;  panning=100
;  filter=6
;
;[dwmygus]
;  link=devwgus
;  drivername=_mcpUltraSound
;  handle=64
;  gusSlowUpload=on
;  gusSystemTimer=on
;  port=220
;  irq=5
;  irq2=5
;  dma=7
;  dma2=7

;// this is an example of how to use different configurations to tell
;// cp to make a high quality wave file...
;// uncomment and type cp -cdiskwriter to try it
;[diskwriter]
;  soundsec=diskwritersound
;  screensec=screen
;  fileselsec=fileselector
;
;[diskwritersound]
;  playerdevices=devpDisk
;  samplerdevices=devsNone
;  wavetabledevices=devwMixQ
;  rate=44100           ;// or would you like DAT quality?
;  rate32=48000
;  16bit=on                ;// TURN OFF IF USING CP 1.666!
;  stereo=on               ;// TURN OFF IF USING CP 1.666!
;  bufsize=1
;  midichan=32
;  cdsamplelinein=off
;  bigmodules=devwQMix
;  amplify=100
;  volume=100
;  balance=0
;  panning=75     ;// to make the panning less extreme
;  reverb=0
;  chorus=0
;  surround=off
;  echo=0
;  filter=7  ;// FOI!
